import { FeatureServiceBinder, FeatureServiceProviderDefinition, SharedFeatureService } from '@feature-hub/core';
export interface AsyncSsrManagerConfig {
    readonly timeout?: number;
}
export interface AsyncSsrManagerV0 {
    renderUntilCompleted(render: () => string): Promise<string>;
    rerenderAfter(promise: Promise<unknown>): void;
}
export interface SharedAsyncSsrManager extends SharedFeatureService {
    readonly '0.1': FeatureServiceBinder<AsyncSsrManagerV0>;
}
export declare const asyncSsrManagerDefinition: FeatureServiceProviderDefinition<SharedAsyncSsrManager>;
